Bug 42245 - Show clear passwords in HTTP Authorization Manager
Show clear passwords in HTTP Authorization Manager
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: HTTP
2.2
All AIX
: P3 enhancement with 1 vote (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2007-04-25 07:49 UTC by Michel Nolard
Modified: 2012-07-17 21:55 UTC (History)
1 user (show)



Attachments
Changed the password cell to not to use PasswordCellRenderer as Editor, hence when in edit mode the cell shows readable text, and in normal render it hides the pass by using PasswordCellRenderer (14.33 KB, patch)
2012-07-17 09:42 UTC, Ravi Gill
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Nolard 2007-04-25 07:49:57 UTC
Hi !

I found JMeter very useful and well done, so I want to contribute in my way by
pointing those little annoying things which the users have to put up with but
are quite simple to fix.

As my web application allows more than one user to work on a single document, I
have to use variables as user/password pairs in HTTP Authorization Manager to
switch dynamically between test accounts.

This works well, but I found it rather unpleasant that the HTTP Authorization
Manager is unable to display clear passwords when required, which would ease
typing the "${my_password}" things.

I suppose that a simple checkbox in the panel would suffice and provide all what
I am waiting for.

Go on with this good application !
Comment 1 Sebb 2007-09-02 14:08:54 UTC
See also bug 34321
Comment 2 Sebb 2007-12-05 17:15:46 UTC
There are some work-rounds:

1) Edit the text in another field (e.g comment), and copy/paste into the 
password field.

2) Check in the JMX file.

I don't think its worth fixing. Maybe later.
Comment 3 Michel Nolard 2007-12-06 01:25:09 UTC
Maybe I don't really understand the problem. So, let me show you how I feel it,
then please explain where I misunderstood it.

Why does JMeter supports variables in password fields if they are not fully
supported ? It is a pain to have to copy-paste or manually edit the file when a
simple check box would have made it easier. 
Why do we need to hide the password on screen while it is not encrypted in the
file ? If this is for security reasons, then it is only to protect against
people passing by users' desks. In that case, the check box would solve the
matter by completing this "hide my password" feature. Although, if it is not
interesting anymore, a replacement of the password fields by text fields would
help also, simply.

What's wrong with this ?

By the way, what does really mean "later" according to this project's release
cycle ?

Regards,

Michel Nolard
Comment 4 Sebb 2007-12-06 05:30:30 UTC
(In reply to comment #3)
> Why does JMeter supports variables in password fields if they are not fully
> supported ? It is a pain to have to copy-paste or manually edit the file 
when a
> simple check box would have made it easier. 

Variables are supported. You can type directly into the field if you want.

> Why do we need to hide the password on screen while it is not encrypted in 
the
> file ? 

There is an outstanding enhancement request to fix this.

> By the way, what does really mean "later" according to this project's release
> cycle ?

Not for a while. Maybe never.
But if you can provide a patch it may happen quicker.
The patch would need to provide code and updated documentation and screnshots.
Comment 5 Ravi Gill 2012-07-17 09:42:11 UTC
Created attachment 29071 [details]
Changed the password cell to not to use PasswordCellRenderer as Editor, hence when in edit mode the cell shows readable text, and in normal render it hides the pass by using PasswordCellRenderer

This fixes the issue by allowing Editing in nomral readble text form.
Comment 6 Philippe Mouawad 2012-07-17 21:54:26 UTC
Date: Tue Jul 17 21:53:44 2012
New Revision: 1362678

URL: http://svn.apache.org/viewvc?rev=1362678&view=rev
Log:
Bug 42245 - Show clear passwords in HTTP Authorization Manager
Bugzilla Id: 42245

Modified:
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/gui/AuthPanel.java
    jmeter/trunk/xdocs/changes.xml
Comment 7 Philippe Mouawad 2012-07-17 21:55:12 UTC
Thanks, applied.
By the way next time try to create a patch instead of attaching all file.

Regards
Philippe